import { VerticalAnchoredCategorySeries } from "./VerticalAnchoredCategorySeries";
import { IIsCategoryBased } from "./IIsCategoryBased";
import { IBarSeries } from "./IBarSeries";
import { CategoryMode } from "./CategoryMode";
import { ICategoryScaler } from "./ICategoryScaler";
import { IScaler } from "./IScaler";
import { SeriesView } from "./SeriesView";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { Rect } from "igniteui-angular-core";
import { Point, Type } from "igniteui-angular-core";
import { CategoryFrame } from "./CategoryFrame";
import { List$1 } from "igniteui-angular-core";
import { Axis } from "./Axis";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategorySeriesView } from "./CategorySeriesView";
import { CategoryFramePreparer } from "./CategoryFramePreparer";
import { Pool$1 } from "igniteui-angular-core";
import { Rectangle } from "igniteui-angular-core";
import { AxisRange } from "./AxisRange";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
import { CategoryBucketCalculator } from "./CategoryBucketCalculator";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class BarSeries extends VerticalAnchoredCategorySeries implements IIsCategoryBased, IBarSeries {
    static $t: Type;
    protected bf(): SeriesView;
    protected ng(): CategoryTransitionInMode;
    getHostReferenceValue(): number;
    iu(a: SeriesView): void;
    p9: BarSeriesView;
    protected get_nv(): boolean;
    lu(a: Point): Rect;
    dh(a: Point, b: boolean): boolean;
    constructor();
    nc(a: CategorySeriesView): CategoryFramePreparer;
    ac(): void;
    qa: number;
    qb: number;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    hv(a: boolean, b: SeriesView): void;
    n9(): number;
    o7(a: CategorySeriesView): number;
    an(a: Axis): AxisRange;
    c9(a: any): boolean;
    eg(): number;
    oo(a: CategoryFrame, b: CategorySeriesView): void;
    protected hy(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected iz(a: any, b: string, c: any, d: any): void;
    getPreferredCategoryMode(): CategoryMode;
    readonly currentCategoryMode: CategoryMode;
    readonly scaler: ICategoryScaler;
    readonly yScaler: IScaler;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BarBucketCalculator extends CategoryBucketCalculator {
    static $t: Type;
    constructor(a: BarSeriesView);
    protected i: BarSeriesView;
    g(a: number): void;
    getBucketWithoutUnknowns(a: number): number[];
    getBucket(a: number): number[];
    private h;
    private j;
    cacheValues(): void;
    unCacheValues(): void;
}
/**
 * @hidden
 */
export declare class BarSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    c6: BarSeries;
    constructor(a: BarSeries);
    c7: Pool$1<Rectangle>;
    ap(): void;
    de(): Rectangle;
    c8: List$1<Rectangle>;
    c9(a: Rectangle): void;
    db(a: Rectangle): void;
    da(a: Rectangle): void;
    dc(a: Rectangle, b: number, c: number): void;
    co(): CategoryBucketCalculator;
    protected bc(a: any, b: number): void;
    protected z(a: number): any;
    private dd;
    protected y(a: number): any;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    protected ac(): void;
}
